# SubmitDetectionsCallback

This interface is used with [`submitDetections(SubmitDetectionsCallback)`](/important-topics/sdk/api-reference/android/sentiance.md#submitdetections-submitdetectionscallback).

## SubmitDetectionsCallback API

### `onSuccess()`

> ```java
> void onSuccess()
> ```
>
> All detections have been successfully submitted.

### `onFailure()`

> ```java
> void onFailure()
> ```
>
> At least one detection was not successfully submitted.
>
> Due to constraints on detection submission order, failure to submit certain detections will cause the entire submission run to be stopped.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/submitdetectionscallback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
